Subject: Re: What's cooking in git.git (Mar 2014, #04; Thu, 20)

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Mar 2014 14:33:32 -0700

Junio C Hamano <[email-masked]> writes:

> Torsten Bögershausen <[email-masked]> writes:
>
>> On 03/20/2014 10:09 PM, Junio C Hamano wrote:
>>> * ap/remote-hg-skip-null-bookmarks (2014-03-19) 1 commit
>>>   - remote-hg: do not fail on invalid bookmarks
>>>
>>>   Will merge to 'next'.
>> Hmm, am I the only one who has 11 failures in test-hg-hg-git.sh,
>> like this:
>> (Tested under Debian 7, commit 04570b241ddb53ad2f355977bae541bd7ff32af5)
>>
>>
>>
>> master cde5672] clear executable bit
>>  Author: A U Thor <[email-masked]>
>>  1 file changed, 0 insertions(+), 0 deletions(-)
>>  mode change 100755 => 100644 alpha
>> WARNING: Ignoring invalid bookmark 'master'
>> To hg::../hgrepo-git
>>  ! [remote rejected] master -> master
>> error: failed to push some refs to 'hg::../hgrepo-git'
>> not ok 1 - executable bit
>> []
>> # failed 11 among 11 test(s)
>> 1..11
>
> This has again been replaced; I'll queue it as d06f17f8 (remote-hg:
> do not fail on invalid bookmarks, 2014-03-21) on 'pu'.
>
> Please holler if this still breaks for you.
>
> Thanks.

Ah, you seem to have sent a good review on that patch while I was
looking at other topics ;-)  And they all make sense, I think.

Thanks.